--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Wrap socket so that it can be easily substituted for testing or for using other transport types (e.g. TCP)
constants: []

full_name: SNMP::UDPTransport
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: recv
- !ruby/object:RI::MethodSummary 
  name: send
name: UDPTransport
superclass: Object
